Enable AppArmor `LSM` by default

Authored by ikey on Aug 10 2017, 12:51 PM.

Description

Enable AppArmor LSM by default

This takes the Ubuntu 4.12<-4.13 AppArmor backports to provide full
functionality for snapd confining, as well as the introduction of a
fully functioning Linux Security Module within the Solus Linux kernel
build.

This will require some tweaking and may at first introduce some regressions
which we'll look to fix as quickly as possible.

Signed-off-by: Ikey Doherty <ikey@solus-project.com>

Details

Committed
ikeyAug 10 2017, 12:51 PM
Pushed
ikeyAug 10 2017, 12:53 PM
Parents
R3571:548e1c8def7b: Update linux-current to 4.12.5, latest upstream stable
Branches
Unknown
Tags
Unknown
References
tag: linux-current-4.12.5-8